## org.eclipse.jst.jsf.designtime.context
Class AbstractExternalContextFactoryLocator

    java.lang.Object
      org.eclipse.jst.jsf.designtime.context.AbstractExternalContextFactoryLocator

All Implemented Interfaces:
  IExternalContextFactoryLocator

    public abstract class AbstractExternalContextFactoryLocator

extends java.lang.Object
implements IExternalContextFactoryLocator

Parent of all implementers of IExternalContextFactoryLocator

Constructor Summary
`AbstractExternalContextFactoryLocator()`

Method Summary
`abstract AbstractDTExternalContextFactory` `getFactory()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractExternalContextFactoryLocator

    public AbstractExternalContextFactoryLocator()

Method Detail

### getFactory

    public abstract AbstractDTExternalContextFactory getFactory()

  Specified by:
    `getFactory` in interface `IExternalContextFactoryLocator`
  Returns:
    the current external context factory